--SELECT [dbo].[JaroWinkler]('shackleford','shackelford') -- expect 0.9848
--Oracle implementation
--SELECT UTL_MATCH.jaro_winkler('shackleford','shackelford') from dual --Oracle = 0.9818181818181818

/* T-SQL Test */
SELECT 'shackleford',	0.9848, [dbo].[fn_calculateJaroWinkler]('shackleford',	'shackelford')	-- expect 0.9848
SELECT 'cunningham',	0.9833, [dbo].[fn_calculateJaroWinkler]('cunningham',	'cunnigham')		-- expect 0.9833
SELECT 'campell',		0.9792, [dbo].[fn_calculateJaroWinkler]('campell',		'campbell')		-- expect 0.9792
SELECT 'nichleson',		0.9630, [dbo].[fn_calculateJaroWinkler]('nichleson',	'nichulson')		-- expect 0.9630
SELECT 'massey',		0.9444, [dbo].[fn_calculateJaroWinkler]('massey',		'massie')			-- expect 0.9444
SELECT 'abroms',		0.9333, [dbo].[fn_calculateJaroWinkler]('abroms',		'abrams')			-- expect 0.9333
SELECT 'galloway',		0.9167, [dbo].[fn_calculateJaroWinkler]('galloway',		'calloway')		-- expect 0.9167
SELECT 'lampley',		0.9048, [dbo].[fn_calculateJaroWinkler]('lampley',		'campley')		-- expect 0.9048
SELECT 'frederick',		0.9815, [dbo].[fn_calculateJaroWinkler]('frederick',	'fredrick')		-- expect 0.9815
SELECT 'michele',		0.9792, [dbo].[fn_calculateJaroWinkler]('michele',		'michelle')		-- expect 0.9792
SELECT 'jesse',			0.9722, [dbo].[fn_calculateJaroWinkler]('jesse',		'jessie')			-- expect 0.9722
SELECT 'jonathon',		0.9583, [dbo].[fn_calculateJaroWinkler]('jonathon',		'jonathan')		-- expect 0.9583
SELECT 'julies',		0.9333, [dbo].[fn_calculateJaroWinkler]('julies',		'juluis')			-- expect 0.9333
SELECT 'jeraldine',		0.9246, [dbo].[fn_calculateJaroWinkler]('jeraldine',	'geraldine')		-- expect 0.9246
SELECT 'yvette',		0.9111, [dbo].[fn_calculateJaroWinkler]('yvette',		'yevett')			-- expect 0.9111
SELECT 'tanya',			0.8933, [dbo].[fn_calculateJaroWinkler]('tanya',		'tonya')			-- expect 0.8933

SELECT 'marhta',		0.9667, [dbo].[fn_calculatePrefixLength]('marhta',		'martha'), [dbo].[fn_calculateJaro]('marhta',		'martha'), [dbo].[fn_calculateJaroWinkler]('marhta',		'martha')			-- expect 0.9667
SELECT 'dwayne',		0.8578, [dbo].[fn_calculatePrefixLength]('dwayne',		'duane'), [dbo].[fn_calculateJaro]('dwayne',		'duane'), [dbo].[fn_calculateJaroWinkler]('dwayne',		'duane')			-- expect 0.8578
SELECT 'dixon',			0.8533, [dbo].[fn_calculatePrefixLength]('dixon',		'dicksonx'), [dbo].[fn_calculateJaro]('dixon',		'dicksonx'), [dbo].[fn_calculateJaroWinkler]('dixon',		'dicksonx')		-- expect 0.8533


/* Oracle test
SELECT 'shackleford', 0.9848, UTL_MATCH.jaro_winkler('shackleford', 'shackelford') from dual;
SELECT 'cunningham', 0.9833, UTL_MATCH.jaro_winkler('cunningham', 'cunnigham') from dual;
SELECT 'campell', 	0.9792, UTL_MATCH.jaro_winkler('campell', 'campbell') from dual;
SELECT 'nichleson', 0.9630, UTL_MATCH.jaro_winkler('nichleson', 'nichulson') from dual;
SELECT 'massey', 	0.9444, UTL_MATCH.jaro_winkler('massey', 'massie') from dual;
SELECT 'abroms', 	0.9333, UTL_MATCH.jaro_winkler('abroms', 'abrams') from dual;
SELECT 'galloway', 	0.9167, UTL_MATCH.jaro_winkler('galloway', 'calloway') from dual;
SELECT 'lampley', 	0.9048, UTL_MATCH.jaro_winkler('lampley', 'campley') from dual;
SELECT 'frederick', 0.9815, UTL_MATCH.jaro_winkler('frederick', 'fredrick') from dual;
SELECT 'michele', 	0.9792, UTL_MATCH.jaro_winkler('michele', 'michelle') from dual;
SELECT 'jesse', 	0.9722, UTL_MATCH.jaro_winkler('jesse', 'jessie') from dual;
SELECT 'jonathon', 	0.9583, UTL_MATCH.jaro_winkler('jonathon', 'jonathan') from dual;
SELECT 'julies', 	0.9333, UTL_MATCH.jaro_winkler('julies', 'juluis') from dual;
SELECT 'jeraldine', 0.9246, UTL_MATCH.jaro_winkler('jeraldine', 'geraldine') from dual;
SELECT 'yvette', 	0.9111, UTL_MATCH.jaro_winkler('yvette', 'yevett') from dual;
SELECT 'tanya', 	0.8933, UTL_MATCH.jaro_winkler('tanya', 'tonya') from dual;
SELECT 'marhta', 	0.9667, UTL_MATCH.jaro_winkler('marhta', 'martha') from dual;
SELECT 'dwayne', 	0.8578, UTL_MATCH.jaro_winkler('dwayne', 'duane') from dual;
SELECT 'dixon', 	0.8533, UTL_MATCH.jaro_winkler('dixon', 'dicksonx') from dual;
*/